:userdoc.
:title.An Introduction to the Logical Volume Manager
:docprof toc=3.
:ctrldef.
:ctrl ctrlid=ctrl1 controls='ESC FORWARD' coverpage.
:ectrldef.


.*****************************************************************************
.* Main Text Sections
.*****************************************************************************

.* ---------------------------------------------------------------------------
.* Introduction
.* ---------------------------------------------------------------------------
:h1 res=001 name=intro
    x=left y=bottom width=100% height=100%.
Introducing the Logical Volume Manager
:font facename=Helv size=14x12.
:p.This help document is intended to introduce you to the Logical Volume
Manager, or :link refid=credit reftype=fn.LVM:elink..

:p.If this document was launched automatically by the eComStation installer,
then the LVM program should be up and running on your screen.  The information
in this help document will describe how to use LVM to perform the tasks
required for installing eComStation.

:p.You may be surprised to notice that, unlike the main eComStation install
program, LVM is a text-mode application.  This is for two reasons&colon.

:ol.

:li.To optimize speed and memory usage while booted from the eComStation
install CD.  This allows more system resources to be kept free, and improves
the responsiveness and efficiency of the install process.

:li.To allow use under emergency conditions when the graphical user interface
may not be available.  For instance, in the event that you need to boot the
system into a text-only mode for certain types of system maintenance, you would
still be able to use LVM.

:eol.

:p.You will notice that, throughout this document, that a number of words or
phrases are highlighted in colour.  These highlighted words are hypertext
links.  You can activate a link by double-clicking on it with the mouse.

:p.Two types of links are used in this document&colon.
:ul.
:li.:link refid=copy reftype=hd.:hp2.This is a chapter link:ehp2.:elink..
Activating a chapter link will take you to another chapter of this document.
:li.:link refid=example reftype=fn.This is a footnote:elink..  Activate a
footnote to pop up a mini-window, which contains information about the
highlighted word or topic.
:eul.
:p.For more information on how to use this help facility, you can press the
&osq.F1&csq. key.
:p.
:p.You should arrange this help window and the LVM window so that you can
conveniently switch back and forth between the two, as you read through the
information that follows.

:p.Click on the &osq.Forward&csq. button below to continue with the next part
of this document, or else choose from the following&colon.

:ul.
:li.:link refid=tour reftype=hd.:hp2.A Tour of LVM:ehp2.:elink.
:li.:link refid=tutorial reftype=hd.:hp2.Creating an Installable Volume:ehp2.:elink.
:eul.
:p.

.* ---------------------------------------------------------------------------
.* Tour
.* ---------------------------------------------------------------------------
:h1 res=010 id=tour
    x=left y=bottom width=100% height=100%.
A Tour of LVM
:font facename=Helv size=14x12.
:p.This section takes you through the LVM program and explores its user
interface.

:p.At any time within LVM, you may press the &osq.F1&csq. key on your keyboard
in order to get some additional help and information on the current task.

:p.LVM has two display modes, or &osq.views&csq.&colon. the Logical View and
the Physical View.  These are described in detail below.  You may switch
between views by pressing the &osq.F5&csq. key on your keyboard.:p.

:p.:hp7.The Logical View:ehp7.
:p.When the LVM program is run, it starts up in what is called the :hp5.Logical
View:ehp5..  This is a display mode which shows all of the
:link refid=volume reftype=fn.logical volumes:elink. that currently exist on
your system.

:p.Here is an example of what the Logical View looks like (the actual volumes
and partitions shown may vary)&colon.

:p.:artwork name='lvm-lv.bmp' align=center.

:p.As the picture shows, the Logical View is divided into two display
areas&colon. an upper area, and a lower area.

:p.The upper area, hereafter referred to as the :hp2.volume list:ehp2., lists
all of the logical volumes that exist on the system.  (If the system has no
volumes, then this list will be empty.)

:p.A volume is a logical drive, represented by a "drive letter".  Consequently,
the list of volumes includes not only hard disk volumes, but anything which
currently has a drive letter assigned.  This includes CD-ROM drives, Zip drives
and similar devices, and even shared network drives, if applicable.

:p.Each volume has a number of attributes, and these are shown by the columns
in the volume list&colon.

:parml.

:pt.:hp5.Logical Volume:ehp5.
:pd.This column indicates the volume's name and drive letter.  The name is a
short text label, up to a maximum of 20 characters, which you may choose
yourself.  If you decide not to give it a name of your own, then LVM will
choose a default name on its own.  These names are mainly just labels for
your own convenience.  However, if :link refid=bootman reftype=fn.Boot
Manager:elink. is installed, then these names will also be used to display
the volumes on the Boot Manager menu.

:p.After the name is shown the volume's drive letter.  The drive letter is
very important, as it is the name that the volume will have when you are
using eComStation.  You may assign any letter to any volume as you choose,
unless that letter is already being used.

:p.You may change a volume's drive letter, but if you do, you should make
certain that any programs installed on the system which use that drive are
also updated to be aware of the new letter.  Since this can be a painstaking
process, changing a volume's drive letter once it has been set is not
generally recommended.

:p.If the drive letter is changed, the old drive letter disappears from the
display, and the new letter appears slightly to the left.  This is a visual
cue used to indicate that the letter has been changed since LVM was started.

:p.Volumes which correspond to CD-ROM drives have an asterisk and an arrow next
to the drive letter (&osq. :hp2.*->:ehp2. &csq.).  This is used to indicate that
the volume does not actually have a fixed drive letter, but will simply use the
next letter available.  The letter shown is the one currently being used, which
may change if that letter is assigned to a different volume.

:pt.:hp5.Type:ehp5.
:pd.This column indicates whether the volume is a
:link refid=compatibility reftype=fn.compatibility volume:elink. or
:link refid=lvm reftype=fn.LVM volume:elink..

:pt.:hp5.Status:ehp5.
:pd.This indicates whether a volume is
:link refid=startable reftype=fn.startable:elink.,
:link refid=bootable reftype=fn.bootable:elink.,
:link refid=installable reftype=fn.installable:elink., or none of these.

:pt.:hp5.File System:ehp5.
:pd.Indicates the type of :link refid=filesys reftype=fn.file system:elink. which
the volume is using.

:p.LVM itself does not create or alter file systems.  This column simply reports
which file systems are in use, if any.

:pt.:hp5.Size (MB):ehp5.
:pd.This column indicates the total size of the volume, in megabytes (Mb).  This
size should be equal to the total size of all partitions in the volume.

:eparml.

:p.Individual volumes within the list may be selected by using the up and
down arrow keys on your keyboard.  The currently-selected volume is indicated
by a coloured &osq.selection bar&csq..

:p.Throughout LVM, you may choose from a set of options relevant to the
currently-selected item by pressing the &osq.Enter&csq. key.  This will cause
an :link refid=options reftype=fn.option menu:elink. to appear.

:p.In this case, selecting a volume and pressing &osq.Enter&csq. will bring up
the volume options menu.  (For more information, see the section on
:link refid=volopts reftype=hd.:hp2.volume options:ehp2.:elink..)

:p.
:p.The lower display area, referred to as the :hp2.volume partition list:ehp2.,
lists the :link refid=partition reftype=fn.partitions:elink. that correspond to
the currently-selected volume.

:p.Every volume consists of either a single partition (if it is a
:link refid=compatibility reftype=fn.compatibility volume:elink.), or a set of
partitions (if it is an :link refid=lvm reftype=fn.LVM volume:elink.).

:p.The volume partition list displays the following attributes for each
partition&colon.

:parml.
:pt.:hp5.Disk Partition:ehp5.
:pd.This column indicates the partition's name.  Like the volume name (in
the volume list), the partition name is a short text label of up to 20
characters, which you may choose yourself.  If you decide not to give it a
name of your own, then LVM will choose a default name.

:p.These names are only used within the actual LVM program, and are purely
for your own convenience.

:pt.:hp5.Size (MB):ehp5.
:pd.This column indicates the size of the partition, in megabytes (Mb).

:pt.:hp5.Disk Name:ehp5.
:pd.This column indicates the name of the physical disk on which the
partition is located.

:eparml.

:p.Specific partitions within the volume partition list may be selected using
the keyboard.  To select a partition, you must first select the volume to which
it belongs.  With the desired volume selected, press the &osq.Tab&csq. key, and
the volume partition list will become &osq.active&csq..  A selection bar
appears in the volume partition list whenever it is active, allowing you to
select partitions within the list by using the up and down arrow keys.  To
return focus to the volume list, press the &osq.Tab&csq. key again.

:p.Pressing &osq.Enter&csq. when an item in the volume partition list is
selected will cause the :link refid=vpopts reftype=hd.:hp2.volume
partition options:ehp2.:elink. menu to appear.:p.

:p.The Logical View allows you to work with logical volumes, and to view
and rename the partitions within those volume; but it does not permit any
significant manipulation of partitions, or the disks on which they reside.
In order to work with disks and partitions, you will need to switch over to
the :hp5.Physical View:ehp5..

:p.Use the &osq.F5&csq. key to switch views.
:p.

:p.:hp7.The Physical View:ehp7.

:p.The Physical View does for physical disks what the Logical View does for
logical volumes.  It allows you to view all disks and partitions present
in the system, and to manipulate them in a number of ways.

:p.Here is an example of what the Physical View looks like (the actual drives
and partitions shown may vary)&colon.

:p.:artwork name='lvm-pv.bmp' align=center.

:p.Like the Logical View, the Physical View is divided into upper and lower
display areas.

:p.The upper area, referred to as the :hp2.disk list:ehp2., lists all the
:link refid=disk reftype=fn.physical disks:elink. that exist on the
system.

:p.The disk list displays the following attributes for each disk
present&colon.

:parml.

:pt.:hp5.Physical Disk:ehp5.
:pd.This column indicates the disk's number and name.  The number represents
the disk's physical identity within the computer.
:p.The disk name, like volume and partition names, is a short text label of up
to 20 characters.  LVM gives each disk a default name of its own, but you are
free to change this name to a more descriptive one of your own choosing.
:p.These names have no real meaning to the system, and are purely for your own
convenience.

:pt.:hp5.Size (MB):ehp5.
:pd.This indicates the physical disk's total size, in megabytes.

:pt.:hp5.Free Space:ehp5.
:pd.:hp2.Total:ehp2.&colon.  This column indicates the total amount of free
space (that is, space which is not part of any partition) available on the
disk.  The size is given in megabytes.
:p.:hp2.Largest:ehp2.&colon.  This column indicates the size of the largest
contiguous block of free space on the disk.  If there is only one block of
free space, then this value will be the same as that shown under the
&osq.Total&csq. column.
:eparml.

:p.As in the Logical View, the disk list has a &osq.selection bar&csq. which
allows you to select a disk from within the list, using the up and down arrow
keys.  Pressing the &osq.Enter&csq. key will cause the
:link refid=diskopts reftype=hd.:hp2.disk options:ehp2.:elink. menu to appear.:p.

:p.The lower display area, referred to as the :hp2.disk partition list:ehp2.,
lists all :link refid=partition reftype=fn.partitions:elink. that exist on the
currently-selected disk.  It also shows blocks of
:link refid=freespace reftype=fn.free space:elink..

:p.The disk partition list displays the following attributes for each partition
on the current disk&colon.

:parml.
:pt.:hp5.Disk Partition:ehp5.
:pd.This column displays the name of each partition.  As usual, the name is a
short text label of up to 20 characters.  If you do not assign the partition
a name, LVM will give it a generic default name, usually consisting of the
letter &osq.A&csq. and a number, enclosed in square brackets.
:p.This column also indicates blocks of free space.  Free space may be
recognized by the fact that only the &osq.Disk Partition&csq. and
&osq.Size&csq. columns have values.  Free space blocks always have the name
&osq.free space&csq. followed by a number, enclosed in square brackets.  The
number indicates the relative position of the free space block on the disk,
if there is more than one such block.
:pt.:hp5.Size (MB):ehp5.
:pd.This column indicates the size of the partition or free space block, in
megabytes.
:pt.:hp5.Type:ehp5.
:pd.This column indicates whether the partition is a
:link refid=partition reftype=fn.primary or logical partition:elink..
:pt.:hp5.Status:ehp5.
:pd.This column shows the current status of the partition.  The possible
values are :link refid=available reftype=fn.&osq.available&csq.:elink. and
:link refid=used reftype=fn.&osq.in use&csq.:elink..
:pt.:hp5.Logical Volume:ehp5.
:pd.This column indicates the name of the volume to which the partition
belongs, if any.
:eparml.

:p.To select a partition, you must first select the disk on which it exists.
With the desired disk selected, press the &osq.Tab&csq. key, and a selection
bar will appear in the disk partition list, allowing you to select partitions
using the up and down arrow keys.  To return focus to the disk list, press the
&osq.Tab&csq. key again.

:p.Pressing &osq.Enter&csq. when a partition is selected will cause the
:link refid=dpopts reftype=hd.:hp2.disk partition options:ehp2.:elink. menu to
appear.:p.


:p.Now that we have explored the LVM user interface, we shall turn next to the
task of creating a new logical volume, onto which eComStation may be installed.
Double-click on the link below, or use the &osq.Forward&csq. button to
continue.

:p.:link refid=tutorial reftype=hd.:hp2.Creating an installable
volume:ehp2.:elink.

:p.
.* ---------------------------------------------------------------------------
.* Volume options
.*
:h2 res=011 name=volopts
    x=left y=bottom width=100% height=100%.
The volume options menu
:font facename=Helv size=14x12.
:p.If you press &osq.Enter&csq. while a volume is selected in the volume list,
the following option menu is presented&colon.
.br
:artwork name='volopts.bmp' align=center.
:p.These options are now explained in detail.
:parml.
:pt.:hp2.Expand the volume:ehp2.
:pd.This option only applies to LVM volumes (not to compatibility volumes).
Use it to add additional partitions to an existing LVM volume.  The volume
must be using the JFS file system.
:pt.:hp2.Delete the volume:ehp2.
:pd.This option deletes the selected volume.  (You will be asked to confirm
this action.)
:p.:hp8.Deleting a volume also deletes all the partitions within that
volume.:ehp8.  All data on the volume will be lost.
:pt.:hp2.Hide the volume from OS/2:ehp2.
:pd.This option allows you to hide the selected volume from the operating
system.  A volume which is hidden has no drive letter, and is not usable
from within eComStation.
:p.To &osq.unhide&csq. a hidden volume, simply assign it a drive letter.
:pt.:hp2.Change the volume name:ehp2.
:pd.This option allows you to rename the volume.  The volume name is
arbitrary, but for your convenience it should be something meaningful to
you.
:pt.:hp2.Change the volume drive letter:ehp2.
:pd.You can use this option to change or set the drive letter assigned to
a volume.  Only drive letters which are not currently in use may be chosen.
:pt.:hp2.Set the volume installable:ehp2.
:pd.This option allows you to make the selected volume
:link refid=installable reftype=fn.installable:elink..
:pt.:hp2.Set the volume startable:ehp2.
:pd.This option allows you to make the selected volume
:link refid=startable reftype=fn.startable:elink..
:pt.:hp2.Add the volume to boot manager menu:ehp2.
:pd.This option will add the selected volume to the
:link refid=bootman reftype=fn.Boot Manager:elink. menu on system startup, as a
possible selection for booting.  If you do this, the volume will subsequently
display a status of :link refid=bootable reftype=fn.bootable:elink..
:p.This option is only available if Boot Manager is installed.
:pt.:hp2.Remove the volume from boot manager menu:ehp2.
:pd.This option removes the selected volume from the Boot Manager
menu.  This option is only available if the volume is currently set bootable.
:pt.:hp2.Create a new volume:ehp2.
:pd.Selecting this option begins the process of creating a new volume.  A
series of secondary option menus and prompts will guide you through this
process.
:pt.:hp2.Install boot manager:ehp2.
:pd.This option installs :link refid=bootman reftype=fn.Boot Manager:elink. on
the system.  To install Boot Manager, there must be at least one cylinder's
worth of free space (usually about 7 Mb), and room for an additional primary
partition, available on the first hard drive in the system.
:pt.:hp2.Remove boot manager:ehp2.
:pd.This option removes Boot Manager from the system.
:pt.:hp2.Set boot manager startup values:ehp2.
:pd.This option allows you to customize Boot Manager's behaviour.  You may
select a volume to boot by default, and also set a &osq.time-out&csq. value,
during which Boot Manager will wait at system startup, before booting the
default volume.
:pt.:hp2.Set boot manager startable:ehp2.
:pd.This option will set the :link refid=startable reftype=fn.startable:elink.
attribute on the Boot Manager partition.  Boot Manager must be startable in
order for it to function.
:p.Boot Manager is normally set startable automatically.  In most cases, this
option should not be required.  It is provided in case the startable attribute
on the Boot Manager partition is somehow removed.  This may happen, for
instance, if an operating system which does not use Boot Manager is installed
on your computer.
:eparml.:p.
:p.
.* ---------------------------------------------------------------------------
.* Volume/partition options
.*
:h2 res=012 name=vpopts
    x=left y=bottom width=100% height=100%.
The volume-partition options menu
:font facename=Helv size=14x12.
:p.If you press &osq.Enter&csq. while a partition is selected in the Logical
View, the following option menu is presented&colon.
.br
:artwork name='vpopts.bmp' align=center.
:p.These options are now explained in detail.
:parml.
:pt.:hp2.Change the partition name:ehp2.
:pd.This option allows you to change the name of the selected partition.
The name is mainly a label for your own convenience.
:pt.:hp2.Change the disk name:ehp2.
:pd.This option allows you to change the name of the physical disk on which
the selected partition is located.  As with the partition name, the disk name
is primarily a convenience label for your own reference.
:eparml.:p.
Both of these options are also available through option menus in the
Physical View.:p.
:p.
.* ---------------------------------------------------------------------------
.* Disk options
.*
:h2 res=013 name=diskopts
    x=left y=bottom width=100% height=100%.
The disk options menu
:font facename=Helv size=14x12.
:p.If you press &osq.Enter&csq. while a disk is selected in the Physical View,
the following option menu is presented&colon.
.br
:artwork name='diskopts.bmp' align=center.
:p.These options are now explained in detail.
:parml.
:pt.:hp2.Use existing partition:ehp2.
:pd.This option is only available while in the process of creating a new
volume.  It allows you to select an existing partition to add to the volume.
:pt.:hp2.Allocate from free space:ehp2.
:pd.This option is only available while in the process of creating a new
volume.  It allows you to create a new partition to add to the volume.
:pt.:hp2.Change the disk name:ehp2.
:pd.This option allows you to change the name of the disk.  The name is a
label used for your convenience.  You should choose something meaningful
to you.
:eparml.:p.
:p.
.* ---------------------------------------------------------------------------
.* Disk/partition options
.*
:h2 res=014 name=dpopts
    x=left y=bottom width=100% height=100%.
The disk-partition options menu
:font facename=Helv size=14x12.
:p.If you press &osq.Enter&csq. while a partition is selected in the Physical
View, the following option menu is presented&colon.
.br
:artwork name='dpopts.bmp' align=center.
:p.These options are now explained in detail.
:parml.
:pt.:hp2.Create a new partition:ehp2.
:pd.This option allows you to create a new partition from free space.  A series
of secondary option menus and prompts will guide you through this procedure.
:p.This option is only available when a block of free space is the
currently-selected item.
:pt.:hp2.Delete the partition:ehp2.
:pd.This option deletes the selected partition.  (You will be asked to confirm
this action.)  All data on the deleted partition will be lost.
:p.This option is only available when the selected partition is not part of an
existing volume.  To delete a partition that belongs to a volume, delete the
volume instead (from the Logical View).
:pt.:hp2.Change the partition name:ehp2.
:pd.This option allows you to change the name of the selected partition.  The
name is a label used for your convenience.  You should choose something
meaningful to you.
:pt.:hp2.Change the volume name:ehp2.
:pd.This option allows you rename the volume to which the selected partition
belongs.
:eparml.
:p.
.* ---------------------------------------------------------------------------
.* Installation Steps
.* ---------------------------------------------------------------------------
:h1 res=020 name=tutorial
    x=left y=bottom width=100% height=100%.
Step by Step: Creating an Installable Volume
:font facename=Helv size=14x12.

:p.In order to install eComStation, you need to have at least one
:link refid=empty reftype=fn.empty:elink., visible
:link refid=compatibility reftype=fn.compatibility volume:elink. available
on your hard disk.

:p.The first time the Logical Volume Manager is started, the eComStation
install program runs the Volume Conversion Utility (VCU).  This utility scans
all of your hard disks for visible partitions, and marks all such partitions as
Compatibility Volumes so that LVM may use them.

:p.By now, the VCU should already have done its work.  Therefore, when LVM
starts up, you should see a :link refid=exist reftype=fn.list of
volumes:elink. corresponding to your existing partitions (if any).

:p.If you do not already have a suitable volume ready to install eComStation,
you will need to create one.

:p.The following sections are designed to walk you through the task of
creating a volume suitable for installing eComStation.

:p.Creating a volume may seem like a complicated procedure.  To a certain
extent, it is.  Managing hard disk partitions is not a trivial task under any
circumstances, and the fact that volume management offers many powerful
features unavoidably adds to the potential complexity.

:p.However, this document attempts to make the procedure as methodical and as
painless as possible.  Furthermore, creating volumes is not a task that you
should need to perform often.  In fact, you may never need to use LVM again
after eComStation has been installed.

:nt.If you have already created an empty volume for the purpose of installing
eComStation, then you should not need to create another one.  (This also
applies if you created an empty partition before starting to install
eComStation; VCU should have converted it into a compatibility volume for you.)

:p.If you already have a volume ready, simply verify that it appears on the
volume list under Logical View; if so, you may
:link refid=exit reftype=hd.:hp2.exit:ehp2.:elink. LVM without making any
changes.:ent.

:p.When creating a new volume for eComStation, there are two possible
scenarios.  Select the scenario which applies to you from the choice
below&colon.
:ul.
:li.:link refid=blank reftype=hd.:hp2.You have an empty hard disk, with no partitions
or volumes on it:ehp2..:elink.
:li.:link refid=existing reftype=hd.:hp2.Your hard disks all contain existing
partitions and/or volumes:ehp2..:elink.
:eul.
:p.
:p.


.* ---------------------------------------------------------------------------
.* Case 1: Blank disk
.*
:h2 res=021 name=blank
    x=left y=bottom width=100% height=100%.
Creating a volume on an empty disk
:font facename=Helv size=14x12.

:p.This section assumes that the hard disk on which you plan to install
eComStation is completely empty, with no partitions or volumes defined on it.

:nt.The instructions below assume that :link refid=bootman reftype=fn.Boot
Manager:elink. is not being installed.  If you wish to install Boot Manager,
you should follow :link refid=instbm reftype=hd.:hp2.the
instructions:ehp2.:elink.. for doing so, and then return to this section.:ent.
.br
A volume is made up of one or more :link refid=partition reftype=fn.partitions:elink..
There are two ways to create a new volume&colon.
:ol.
:li.Create the volume directly from free space.  In this case, a suitable
partition will be created automatically.  This method is recommended.
:li.Use existing partitions when creating the volume.  If the partitions do not
already exist, they must be created beforehand, manually.
:eol.

:p.When creating volumes directly from free space, the partitions which make up
those volumes are automatically created for you.  These partitions will be
created at the end of available free space.  If you prefer to have the
partitions defined from the beginning of free space, you will have to create
the partitions yourself beforehand.

:p.Creating the partitions beforehand is somewhat more complicated, but it
allows you to retain more control over the layout of your partitions.  This
method is recommended for experienced users only.

:p.Choose which method you wish to use&colon.
:ul.
:li.:link refid=createvol1 reftype=hd.:hp2.Create the volume directly from
free space:ehp2.:elink. (recommended).
:li.:link refid=createpart reftype=hd.:hp2.Create the partition manually, and
then create the volume:ehp2.:elink..
:eul.
:p.
.* ---------------------------------------------------------------------------
.* Creating a volume directly from free space
:h3 res=0210 name=createvol1
    x=left y=bottom width=100% height=100%.
Creating a volume directly from free space
:font facename=Helv size=14x12.
:p.When LVM starts up, it presents the Logical View, which displays all existing
volumes.  Currently, it should look something like this&colon.
.br
:artwork name='lvmt108.bmp' align=center.
.br
Of course, the actual numbers and/or drive letters on your own system may be
different from those shown here.

:p.Since we are creating a brand new volume, it is not necessary to make any
selections in the volume list.  Simply verify that the volume list is active
(there should be a blue selection bar in the upper area, and none in the lower
area), and press the &osq.Enter&csq. key.

:p.The option menu for the volume list will appear.
.br
:artwork name='lvmt109.bmp' align=center.
.br
&osq.Create a new volume&csq. should be selected for you; if it is not,
select it now using the arrow keys.  Press &osq.Enter&csq. again.

:p.Another option menu will appear.
.br
:artwork name='lvmt110.bmp' align=center.
.br
Choose &osq.Create a volume that can be made bootable&csq., and press
&osq.Enter&csq..

:p.An option menu containing a list of available drive letters will appear.  At
this point, you need to select a drive letter for the new volume to use.
.br
:artwork name='lvmt111.bmp' align=center.
.br
The drive letter you select here will be used to identify the newly-created
volume when working within eComStation.  If you have no particular need to use
a specific drive letter, select the default letter (the one which is
pre-selected for you).

:p.Press &osq.Enter&csq..  A box will appear, prompting you to give the new
volume a name.
.br
:artwork name='lvmt112.bmp' align=center.
.br
You can enter any name for the volume you like, up to 20 characters.  Press
&osq.Enter&csq. when done.

:p.Now you need to create a :link refid=partition reftype=fn.partition:elink. to
use for the new volume.

:p.At this point, LVM automatically changes over to Physical View, and asks you
to select a disk.
.br
:artwork name='lvmt201.bmp' align=center.
.br
You need to select the hard disk on which the new volume will be located.  If
you have only one hard disk in your system, it will be highlighted already.
.br
:artwork name='lvmt202.bmp' align=center.
.br
Make sure the correct disk is highlighted with the selection bar, and
press &osq.Enter&csq..

:p.Now another option menu will appear.
.br
:artwork name='lvmt203.bmp' align=center.
.br
Make sure that &osq.Allocate from free space&csq. is selected, and press
&osq.Enter&csq..

:p.An option menu showing the available blocks of
:link refid=freespace reftype=fn.free space:elink. will appear.  Assuming that
the hard disk is empty, there will only be one item on this menu&colon. a block
labelled &osq.:hp2.[ free space 1 ]:ehp2.&csq..
.br
:artwork name='lvmt204.bmp' align=center.
.br
Press &osq.Enter&csq. to continue.

:p.A box will appear, and ask you to give the new partition a name.
.br
:artwork name='lvmt117.bmp' align=center.
.br
The name of the partition is different from the name of the volume.  Remember,
a volume may theoretically contain more than one partition.  (Although this
particular volume will not.)

:p.The name which you choose is entirely up to you.  The box will have a default
name in it already, which you can accept if you don't want to come up with a
name of your own.  Press &osq.Enter&csq. when done.

:p.Next, you will be asked how large the new partition should be.
.br
:artwork name='lvmt106.bmp' align=center.
.br
The size of the partition is a number given in megabytes (Mb).  The maximum
allowable size (taking up all of the free space available) is pre-entered in
the box for you.  To accept this, just press &osq.Enter&csq.; to choose a
different size, enter the number of megabytes you want the partition to be,
followed by &osq.Enter&csq..

:p.Now the new volume will be created.  LVM will return to the Logical View,
and you should see the new volume displayed in the volume list.
.br
:artwork name='lvmt118.bmp' align=center.
:p.

:p.You should now be ready to exit LVM and install eComStation.

:p.Proceed with :link refid=exit reftype=hd.:hp2.Saving and
exiting:ehp2.:elink. to continue.
:p.
:p.
.* ---------------------------------------------------------------------------
.* Creating partitions manually
:h3 res=0211 name=createpart
    x=left y=bottom width=100% height=100%.
Creating partitions manually
:font facename=Helv size=14x12.
:p.LVM starts out in the Logical View.  In order to create partitions, you
should change over to the Physical View.

:p.Press the &osq.F5&csq. key to enter the Physical View.

:p.You should see something like this&colon.
.br
:artwork name='lvmt101.bmp' align=center.
.br
Of course, the actual reported disk sizes you see on your system will probably
be different.

:p.The upper area of the screen lists all of the physical disks in the
computer.  If there is more than one disk shown, you will need to select the
correct one (the empty disk on which you wish to create the new partition).
You can select a disk by using up and down arrow keys on your keyboard.  The
currently-selected disk is highlighted by a blue &osq.selection bar&csq..

:p.Once the desired disk is selected, press the &osq.Tab&csq. key.  This
accepts the selected disk, and makes the lower screen area active.  Another
selection bar will appear in the lower area.

:p.The lower area lists all of the partitions or blocks of free space (unused
areas) which exist on the currently-selected disk.  When an empty hard disk is
selected in the upper area, there will be a single item listed in the lower
area&colon. a block of :link refid=freespace reftype=fn.free space:elink.,
taking up the entire disk, labelled :hp2.[ free space 1 ]:ehp2..

:p.With the block of free space selected, press the &osq.Enter&csq. key.  This
brings up the :link refid=options reftype=fn.option menu:elink. for the current
selection.  In this case, you should get a menu with four choices.
.br
:artwork name='lvmt102.bmp' align=center.
.br
You will notice that three of the items in this list are disabled and cannot be
selected.  This indicates that they are not allowable options under the current
circumstances.

:p.The only available option should be the currently-highlighted one, "Create a
new partition".  Since creating a new partition is precisely what we want to do,
accept this selection by pressing &osq.Enter&csq..
:p.Once you do, a second option menu will appear.
.br
:artwork name='lvmt103.bmp' align=center.
.br
This menu asks what type of partition you want to create.  There are two
available selections: logical partition, and primary partition.

:p.The type of partition you choose is largely a matter of personal choice, but
it depends on several factors.  In most cases, if there are no other partitions
already on the disk, you should create a primary partition.

:nt.Unless :link refid=bootman reftype=fn.Boot Manager:elink. is installed,
you :hp1.must:ehp1. create a primary partition in order to install eComStation.
:ent.

:p.Make your selection by using the up and down arrow keys, and then press
&osq.Enter&csq..

:p.Yet another option menu will now appear.
.br
:artwork name='lvmt104.bmp' align=center.
.br
This next menu asks if you want to create the partition starting at the
beginning of the available space, or at the end of it.  Generally speaking, it
is simplest to create partitions at the beginning of free space.  (Although if
the partition is going to occupy all the available space, then it actually
makes no difference.)

:p.Unless you specifically know better, choose &osq.Create at the beginning of free
space&csq..

:p.Once you make your selection, a box will appear, and ask you to give the new
partition a name.
.br
:artwork name='lvmt105.bmp' align=center.
.br
The name you choose is up to you (it is only a convenience label).  The box
will have a default name in it already, which you can accept if you don't want
to come up with a name of your own.  Press &osq.Enter&csq. when done.

:p.Next, you will be asked how large the new partition should be.
.br
:artwork name='lvmt106.bmp' align=center.
.br
The size of the partition is a number given in megabytes (Mb).  The maximum
allowable size (taking up all of the free space available) is pre-entered in
the box for you.  To accept this, just press &osq.Enter&csq.; to choose a
different size, enter the number of megabytes you want the partition to be,
followed by &osq.Enter&csq..

:p.Once you press &osq.Enter&csq., the partition is created.  You should now
see your newly-created partition in the disk partition list.
.br
:artwork name='lvmt107.bmp' align=center.

:p.Unlike some other operating systems, eComStation cannot use partitions
directly; it uses volumes instead.  So, now that you have a partition, you need
to create a volume to contain it.  Creating volumes is done through the Logical
View.

:p.Press &osq.F5&csq. now, to enter the Logical View.  Then, select the link below
to proceed with creating a volume.

:p.:link refid=createvol2 reftype=hd.:hp2.Creating a volume from a
partition:ehp2.:elink..:p.

:p.
.* ---------------------------------------------------------------------------
.* Creating a volume from an existing partition
:h3 res=0212 name=createvol2
    x=left y=bottom width=100% height=100%.
Creating a volume from an existing partition
:font facename=Helv size=14x12.

:p.Currently, the Logical View should look something like this&colon.
.br
:artwork name='lvmt108.bmp' align=center.
.br
Again, the actual numbers and/or drive letters on your own system may be
different from those shown here.

:p.Since we are creating a brand-new volume, it is not necessary to change any
selections in the volume list.  Simply press the &osq.Enter&csq. key, and the
option menu for the volume list should appear.
.br
:artwork name='lvmt109.bmp' align=center.
.br
&osq.Create a new volume&csq. should be selected for you; if it is not,
select it now.  Press the &osq.Enter&csq. key again.

:p.Another option menu will appear.
.br
:artwork name='lvmt110.bmp' align=center.
.br
Choose &osq.Create a volume that can be made bootable&csq., and press
&osq.Enter&csq..

:p.An option menu containing a list of available drive letters will appear.  At
this point, you need to select a drive letter for the new volume to use.
.br
:artwork name='lvmt111.bmp' align=center.
.br
The drive letter you select here will be used to identify the newly-created
volume when working within eComStation.  If you have no particular need to use
a specific drive letter, select the default letter (the one which is
pre-selected for you).

:p.Press &osq.Enter&csq..  A box will appear, prompting you to give the new
volume a name.
.br
:artwork name='lvmt112.bmp' align=center.
.br
You can enter any name for the volume you like, up to 20 characters.  Press
&osq.Enter&csq. when done.

:p.Now you need to select (or create) a partition to use for the new volume.
At this point, LVM switches back over to the Physical View, and asks you to
select a disk.
.br
:artwork name='lvmt113.bmp' align=center.
.br
You need to select the disk on which the partition you created earlier is
located.
.br
:artwork name='lvmt114.bmp' align=center.
.br
Make sure the correct disk is highlighted with the selection bar, and
press &osq.Enter&csq..

:p.Now another option menu will appear.
.br
:artwork name='lvmt115.bmp' align=center.
.br
Select the default choice, &osq.Use existing partition&csq..

:p.An option menu showing the partition you created will appear.
.br
:artwork name='lvmt116.bmp' align=center.
.br
Press &osq.Enter&csq. to accept this partition.


:p.A box will appear, asking if you want to change the partition name.
.br
:artwork name='lvmt117.bmp' align=center.
.br
This step is a somewhat annoying redundancy.  Since you presumably gave the
partition a suitable name earlier, just press &osq.Enter&csq. now to continue.
:p.Now, at long last, the new volume will be created.  LVM will return to the
Logical View, and you should see the new volume displayed in the volume list.
.br
:artwork name='lvmt118.bmp' align=center.
:p.

:p.Now, finally, the new volume will be created.  LVM will return to the Logical
View, and you should see the new volume displayed in the volume list.
.br
:artwork name='lvmt118.bmp' align=center.
:p.
:p.You should now be ready to exit LVM and install eComStation.

:p.Proceed with :link refid=exit reftype=hd.:hp2.Saving and
exiting:ehp2.:elink. to continue.
:p.
:p.
.* ---------------------------------------------------------------------------
.* Case 2: Existing partitions
.*
:h2 res=022 name=existing
    x=left y=bottom width=100% height=100%.
Creating a volume on a disk with existing data
:font facename=Helv size=14x12.

:p.:hp5.Available free space:ehp5.
:p.In order to create a volume, you need to have a sufficiently large area of
:link refid=freespace reftype=fn.free space:elink. on your computer's hard disk
(or one of its hard disks, if there are more than one).

:p.If you do not have the necessary free space, you must make some available.
There are three ways of obtaining free space&colon.
:ol.
:li.Delete one or more existing volumes.  You may do this from within LVM.
However, deleting a volume causes all partitions and all data within that
volume to be deleted as well.  Only delete a volume if you no longer need
anything on it!
:li.Add an additional hard disk to the computer.  Whether or not this is
possible (or easy) depends on the specifics of your computer.  Describing how to
add a hard drive is outside the scope of this tutorial.  If you are not familiar
with the procedure, you should consult with a computer professional before
attempting it.
:li.Use a partition-resizing utility to resize existing volumes without deleting
them, thereby freeing up adjacent disk space.  Unfortunately, the existing
utilities which allow this (such as FIPS or Partition Magic) are only capable of
understanding partitions, and not volumes.  Consequently, using such utilities
is not recommended.  If you must do so, please study the appendix on
:link refid=pmagic reftype=hd.:hp2.legacy partitioning tools:ehp2.:elink. first.
:eol.

:p.If and when you have a sufficiently large block of free space available on
the target hard disks, you may continue with creating an installable volume for
eComStation.

:nt.If you wish to install :link refid=bootman reftype=fn.Boot Manager:elink.,
you should follow the link below before creating your installation volume.
Then return to this section, and proceed with the instructions below.
:p.:link refid=instbm reftype=hd.:hp2.Installing Boot Manager:ehp2.:elink.
:ent.

:p.:hp5.Creating a volume:ehp5.

:p.A volume is made up of one or more :link refid=partition reftype=fn.partitions:elink..
There are two ways to create a new volume&colon.
:ol.
:li.Create the volume directly from free space.  In this case, a suitable
partition will be created automatically.  This method is recommended.
:li.Use existing partitions when creating the volume.  If the partitions do not
already exist, they must be created beforehand, manually.
:eol.

:p.When creating volumes directly from free space, the partitions which make up
those volumes are automatically created for you.  These partitions will be
created at the end of available free space.  If you prefer to have the
partitions defined from the beginning of free space, you will have to create
the partitions yourself beforehand.

:p.Creating the partitions beforehand is somewhat more complicated, but it
allows you to retain more control over the layout of your partitions.  This
method is recommended for experienced users only.

:p.Choose which method you wish to use&colon.
:ul.
:li.:link refid=addvol1 reftype=hd.:hp2.Create the volume directly from
free space:ehp2.:elink. (recommended).
:li.:link refid=addpart reftype=hd.:hp2.Create the partition manually, and
then create the volume:ehp2.:elink..
:eul.
:p.

:p.
.* ---------------------------------------------------------------------------
.* Adding an additional volume from free space
.* ---------------------------------------------------------------------------
:h3 res=023 name=addvol1
    x=left y=bottom width=100% height=100%.
Creating a volume directly from free space
:font facename=Helv size=14x10.

:p.When LVM starts up, it presents the Logical View, which displays all existing
volumes.  It should look something like this&colon.
.br
:artwork name='lvmt301.bmp' align=center.
.br
Of course, the actual volumes and numbers displayed on your own system will most
likely be different from those shown here.

:p.Since we are creating a brand new volume, it is not necessary to make any
selections in the volume list.  Simply verify that the volume list is active
(any volume can be selected, but there should be nothing selected in the lower
area), and press the &osq.Enter&csq. key.

:p.The option menu for the volume list will appear.
.br
:artwork name='lvmt302.bmp' align=center.
.br
&osq.Create a new volume&csq. should be selected for you; if it is not,
select it now using the arrow keys.  Press &osq.Enter&csq. again.

:p.Another option menu will appear.
.br
:artwork name='lvmt110.bmp' align=center.
.br
Choose &osq.Create a volume that can be made bootable&csq., and press
&osq.Enter&csq..

:p.An option menu containing a list of available drive letters will appear.  At
this point, you need to select a drive letter for the new volume to use.
.br
:artwork name='lvmt303.bmp' align=center.
.br
The drive letter you select here will be used to identify the newly-created
volume when working within eComStation.  If you have no particular need to use
a specific drive letter, select the default letter (the one which is
pre-selected for you).

:p.Press &osq.Enter&csq..  A box will appear, prompting you to give the new
volume a name.
.br
:artwork name='lvmt112.bmp' align=center.
.br
You can enter any name for the volume you like, up to 20 characters.  Press
&osq.Enter&csq. when done.

:p.Now you need to create a :link refid=partition reftype=fn.partition:elink. to
use for the new volume.

:p.At this point, LVM automatically changes over to Physical View, and asks you
to select a disk.
.br
:artwork name='lvmt304.bmp' align=center.
.br
You need to select the hard disk on which the new volume will be located.  If
you have only one hard disk in your system, it will be highlighted already.
.br
:artwork name='lvmt305.bmp' align=center.
.br
Make sure the correct disk is highlighted with the selection bar, and
press &osq.Enter&csq..

:p.Now another option menu will appear.
.br
:artwork name='lvmt203.bmp' align=center.
.br
Make sure that &osq.Allocate from free space&csq. is selected, and press
&osq.Enter&csq..

:p.An option menu showing the available blocks of
:link refid=freespace reftype=fn.free space:elink. will appear.  If there is
more than one selection on the list, select whichever one you wish to create
the new volume on.
.br
:artwork name='lvmt306.bmp' align=center.
.br
Press &osq.Enter&csq. to continue.

:p.A box will appear, and ask you to give the new partition a name.
.br
:artwork name='lvmt117.bmp' align=center.
.br
The name of the partition is different from the name of the volume.  Remember,
a volume may theoretically contain more than one partition.  (Although this
particular volume will not.)

:p.The name which you choose is entirely up to you.  The box will have a default
name in it already, which you can accept if you don't want to come up with a
name of your own.  Press &osq.Enter&csq. when done.

:p.Next, you will be asked how large the new partition should be.
.br
:artwork name='lvmt307.bmp' align=center.
.br
The size of the partition is a number given in megabytes (Mb).  The maximum
allowable size (taking up the entire block of free space) is pre-entered in
the box for you.  To accept this, just press &osq.Enter&csq.; to choose a
different size, enter the number of megabytes you want the partition to be,
and then press &osq.Enter&csq..

:p.Now the new volume will be created.  LVM will return to the Logical View,
and you should see the new volume displayed in the volume list.
.br
:artwork name='lvmt308.bmp' align=center.
:p.

:p.You should now be ready to exit LVM and install eComStation.

:p.Proceed with :link refid=exit reftype=hd.:hp2.Saving and
exiting:ehp2.:elink. to continue.
:p.




:p.
.* ---------------------------------------------------------------------------
.* Adding a partition
.* ---------------------------------------------------------------------------
:h3 res=024 name=addpart
    x=left y=bottom width=100% height=100%.
Creating a partition manually
:font facename=Helv size=14x10.

:p.LVM starts out in the Logical View.  In order to create partitions, you
must switch to the Physical View.

:p.Press the &osq.F5&csq. key to enter the Physical View.

:p.You should see something like this&colon.
.br
:artwork name='lvmt401.bmp' align=center.
.br
Of course, the actual reported disk sizes you see on your system will probably
be different.

:p.The upper area of the screen lists all of the physical disks in the
computer.  If there is more than one disk shown, you will need to select the
correct one (the empty disk on which you wish to create the new partition).
You can select a disk by using up and down arrow keys on your keyboard.  The
currently-selected disk is highlighted by a blue &osq.selection bar&csq..

:p.Once the desired disk is selected, press the &osq.Tab&csq. key.  This
accepts the selected disk, and makes the lower screen area active.  Another
selection bar will appear in the lower area.

:p.The lower area lists all of the partitions or blocks of free space (unused
areas) which exist on the currently-selected disk.  When an empty hard disk is
selected in the upper area, there will be a single item listed in the lower
area&colon. a block of :link refid=freespace reftype=fn.free space:elink.,
taking up the entire disk, labelled :hp2.[ free space 1 ]:ehp2..

:p.With the block of free space selected, press the &osq.Enter&csq. key.  This
brings up the :link refid=options reftype=fn.option menu:elink. for the current
selection.  In this case, you should get a menu with four choices.
.br
:artwork name='lvmt102.bmp' align=center.
.br
You will notice that three of the items in this list are disabled and cannot be
selected.  This indicates that they are not allowable options under the current
circumstances.

:p.The only available option should be the currently-highlighted one,
"Create a new partition".  Since creating a new partition is precisely what we
want to do, accept this selection by pressing &osq.Enter&csq..
:p.Once you do, a second option menu will appear.
.br
:artwork name='lvmt103.bmp' align=center.
.br
This menu asks what type of partition you want to create.  There are two
available selections: logical partition, and primary partition.

:p.The type of partition you choose is partly a matter of personal choice, but
also depends on several factors.

:p.If you have other operating systems installed on the same computer, creating
a primary partition may make coexistence easier.   However, if you already have
the maximum allowable number of primary partitions on the disk, you will have to
create a logical partition.

:nt.It is only possible to install eComStation using a logical partition if
:link refid=bootman reftype=fn.Boot Manager:elink. has been installed.
Otherwise, you must create a primary partition in order to install eComStation.
:ent.

:p.Make your selection by using the up and down arrow keys, and then press
&osq.Enter&csq..

:p.Yet another option menu will now appear.
.br
:artwork name='lvmt104.bmp' align=center.
.br
This next menu asks if you want to create the partition starting at the
beginning of the available space, or at the end of it.  Generally speaking, it
is simplest to create partitions at the beginning of free space.  (Although if
the partition is going to occupy all the available space, then it actually
makes no difference.)

:p.Unless you specifically know better, choose &osq.Create at the beginning of free
space&csq..

:p.Once you make your selection, a box will appear, and ask you to give the new
partition a name.
.br
:artwork name='lvmt105.bmp' align=center.
.br
The name you choose is up to you (it is only a convenience label).  The box
will have a default name in it already, which you can accept if you don't want
to come up with a name of your own.  Press &osq.Enter&csq. when done.

:p.Next, you will be asked how large the new partition should be.
.br
:artwork name='lvmt307.bmp' align=center.
.br
The size of the partition is a number given in megabytes (Mb).  The maximum
allowable size (taking up the entire block of free space) is pre-entered in
the box for you.  To accept this, just press &osq.Enter&csq.; to choose a
different size, enter the number of megabytes you want the partition to be,
followed by &osq.Enter&csq..

:p.Once you press &osq.Enter&csq., the partition is created.  You should now
see your newly-created partition in the disk partition list.
.br
:artwork name='lvmt402.bmp' align=center.

:p.Unlike some other operating systems, eComStation cannot use partitions
directly; it uses volumes instead.  So, now that you have a partition, you need
to create a volume to contain it.  Creating volumes is done through the Logical
View.

:p.Press &osq.F5&csq. now, to enter the Logical View.  Then, select the link below
to proceed with creating a volume.

:p.:link refid=addvol2 reftype=hd.:hp2.Creating a volume from a
partition:ehp2.:elink..:p.


:p.
.* ---------------------------------------------------------------------------
.* Adding a volume from an existing partition
.* ---------------------------------------------------------------------------
:h3 res=025 name=addvol2
    x=left y=bottom width=100% height=100%.
Creating a volume from an existing partition
:font facename=Helv size=14x10.

:p.Currently, the Logical View should look something like this&colon.
.br
:artwork name='lvmt301.bmp' align=center.
.br
Again, the actual numbers and/or drive letters on your own system may be
different from those shown here.

:p.Since we are creating a brand-new volume, it is not necessary to change any
selections in the volume list.  Simply press the &osq.Enter&csq. key, and the
option menu for the volume list should appear.
.br
:artwork name='lvmt302.bmp' align=center.
.br
&osq.Create a new volume&csq. should be selected for you; if it is not,
select it now.  Press the &osq.Enter&csq. key again.

:p.Another option menu will appear.
.br
:artwork name='lvmt110.bmp' align=center.
.br
Choose &osq.Create a volume that can be made bootable&csq., and press
&osq.Enter&csq..

:p.An option menu containing a list of available drive letters will appear.  At
this point, you need to select a drive letter for the new volume to use.
.br
:artwork name='lvmt303.bmp' align=center.
.br
The drive letter you select here will be used to identify the newly-created
volume when working within eComStation.  If you have no particular need to use
a specific drive letter, select the default letter (the one which is
pre-selected for you).

:p.Press &osq.Enter&csq..  A box will appear, prompting you to give the new
volume a name.
.br
:artwork name='lvmt112.bmp' align=center.
.br
You can enter any name for the volume you like, up to 20 characters.  Press
&osq.Enter&csq. when done.

:p.Now you need to select (or create) a partition to use for the new volume.
At this point, LVM switches back over to the Physical View, and asks you to
select a disk.
.br
:artwork name='lvmt403.bmp' align=center.
.br
You need to select the disk on which the partition you created earlier is
located.
.br
:artwork name='lvmt404.bmp' align=center.
.br
Make sure the correct disk is highlighted with the selection bar, and
press &osq.Enter&csq..

:p.Now another option menu will appear.
.br
:artwork name='lvmt115.bmp' align=center.
.br
Select the default choice, &osq.Use existing partition&csq..

:p.An option menu showing the partition you created will appear.
.br
:artwork name='lvmt405.bmp' align=center.
.br
Press &osq.Enter&csq. to accept this partition.


:p.A box will appear, asking if you want to change the partition name.
.br
:artwork name='lvmt117.bmp' align=center.
.br
This step is a somewhat annoying redundancy.  Since you presumably gave the
partition a suitable name earlier, just press &osq.Enter&csq. now to continue.
:p.Now, at long last, the new volume will be created.  LVM will return to the
Logical View, and you should see the new volume displayed in the volume list.
.br
:artwork name='lvmt118.bmp' align=center.
:p.

:p.Now, finally, the new volume will be created.  LVM will return to the Logical
View, and you should see the new volume displayed in the volume list.
.br
:artwork name='lvmt308.bmp' align=center.
:p.
:p.You should now be ready to exit LVM and install eComStation.

:p.Proceed with :link refid=exit reftype=hd.:hp2.Saving and
exiting:ehp2.:elink. to continue.
:p.


:p.
.* ---------------------------------------------------------------------------
.* Boot Manager
.* ---------------------------------------------------------------------------
:h1 res=030 name=instbm
    x=left y=bottom width=100% height=100%.
Installing Boot Manager
:font facename=Helv size=14x10.

:p.:link refid=bootman reftype=fn.Boot Manager:elink. is a special utility
which provides your computer with advanced booting capabilities.  LVM gives
you the opportunity to install and configure Boot Manager.

:p.You will need to install Boot Manager if&colon.
:ul.
:li.You have other operating systems (OSes) besides eComStation installed on
the same computer, and you want to be able to boot into them; or
:li.You want to install eComStation onto a volume consisting of a logical
primary :link refid=partition reftype=fn.partition:elink..  Unless Boot Manager
is installed, eComStation may only be installed onto a volume consisting of a
primary partition.
:eul.

:p.Boot Manager is installed on the first hard disk in your system (if you have
more than one).  Unlike most similar utilities, Boot Manager does not reside in
the Master Boot Record (MBR).  Instead, it occupies a small primary partition of
its own.  This partition occupies a single
:link refid=cylinder reftype=fn.cylinder:elink. of disk space (usually about 7
Mb), which is the smallest size a partition can be.

:p.This means that there are two major prerequisites to installing Boot
Manager&colon.
:ol.
:li.Your computer's first hard disk must be able to accomodate an additional
primary partition.
:li.There must be at least one block of :link refid=freespace reftype=fn.free
space:elink. available on the first hard disk.  (How large this block is does
not matter, since any block which exists must by definition be large enough
to hold Boot Manager.)
:eol.
:p.
:p.To install Boot Manager, make sure that you are in the Logical View of LVM.
Select any volume in the volume list, and press &osq.Enter&csq. to bring up
the volume options menu&colon.

:artwork name='vobm.bmp' align=center.
.br
Select &osq.Install Boot Manager&csq. and press &osq.Enter&csq..
:p.Boot Manager should now be installed, as long as the prerequisites described
above were met.  To verify this, change to the Physical View (press
&osq.F5&csq.), and you should see &osq.[ BOOT MANAGER ]&csq. listed among the
partitions on the first hard disk.
.br
.* :artwork name='lvm-pv.bmp' align=center.

:p.:hp5.Boot Manager options:ehp5.
:p.Once Boot Manager is installed, there are several options associated with it
that you may customize.

:p.To set customize Boot Manager's behaviour, bring up the volume options menu
again (see above), and select &osq.Set Boot Manager startup values&csq..

:p.You will see the following option menu (the values shown may differ)&colon.
.br
:artwork name='bmopts.bmp' align=center.
.br
These options define how Boot Manager will behave when the computer is started
up.  They are explained below.
:parml.
:pt.:hp2.Default boot selection:ehp2.
:pd.This option specifies which operating system Boot Manager will boot by
default when the computer starts up.  If none is specified, then Boot
Manager will default to whichever operating system was booted the last time.
:pt.:hp2.Timer active:ehp2.
:pd.This option specifies whether or not Boot Manager will boot the default
operating system after a certain amount of time.
:p.If the timer is active, then Boot Manager will boot the default operating
system (selected above) after a pre-set interval (defined by the next option).
If the timer is not active, then whenever the computer is started, it will
simply stop and wait at the Boot Manager menu until you select an operating
system to boot.
:pt.:hp2.Time-out value:ehp2.
:pd.This option specifies how long (in seconds) Boot Manager will wait during
system startup, before booting the default operating system.  This option has
no effect if the timer (above) is not active.
:pt.:hp2.Display mode:ehp2.
:pd.This option specifies the display style of the Boot Manager menu.
&osq.Normal&csq. simply displays the volume name of each bootable volume.
&osq.Advanced&csq. displays some additional information for each volume as
well as the name.
:pt.:hp2.Save the changes:ehp2.
:pd.This option saves the settings which are currently displayed, and closes
the option menu.
:eparml.
:p.You may change any of the four options by selecting it with the arrow keys,
and pressing &osq.Enter&csq..  To close the option menu without making any
changes, press &osq.Esc&csq..
:p.
.* ---------------------------------------------------------------------------
.* Saving & Exiting
.* ---------------------------------------------------------------------------
:h1 res=080 name=exit
    x=left y=bottom width=100% height=100%.
Saving and exiting
:font facename=Helv size=14x10.
:p.When you have finished working with the Logical Volume Manager, you should
save your changes and exit.
:p.When you make any changes (including creating volumes or partitions) within
LVM, your changes do not actually take effect until you save them.
:p.You are asked if you wish to save your changes when you choose to exit from
LVM.
:p.To exit LVM, press the &osq.F3&csq. key on your keyboard.  The following
options will be presented to you&colon.
.br
:artwork name='exitlvm.bmp' align=center.
.br
:parml.
:pt.:hp2.Return to the program:ehp2.
:pd.Selecting this option will cancel the exit process, and return you to LVM.
:pt.:hp2.Discard the changes and exit:ehp2.
:pd.Selecting this option will cause everything you have done (if anything)
since entering LVM to be discarded.  No changes will be made, and everything
will stay the way it was before you entered LVM.
:pt.:hp2.Save the changes and exit:ehp2.
:pd.This option will save everything you have done within LVM, and then exit.
Once you have created an installable volume for eComStation, you should select
this option.
:eparml.

:p.To save your changes and continue installing eComStation, choose the third
option, &osq.Save the changes and exit&csq..

:p.If you want to discard everything you have done since entering LVM (if, for
instance, you have made a mistake), you can do so by choosing &osq.Discard the
changes and exit&csq. instead.  Then you can re-enter LVM and try again, if you
wish.:p.
:p.
.* ---------------------------------------------------------------------------
.* Credits
.* ---------------------------------------------------------------------------
:h1 res=090 name=copy
    x=left y=bottom width=100% height=100%.
Copyright
:font facename=Helv size=14x10.
:p.This document is (C) 2001 Alexander Taylor and is licensed for use by
Serenity Systems International.
:p.eComStation is a trademark of Serenity Systems International.
:p.The :link refid=credit reftype=fn.Logical Volume Manager:elink. (LVM) is
technology designed and implemented by International Business Machines
Corporation.  IBM, OS/2, and AIX are trademarks of International Business
Machines Corporation.
:p.Linux is a trademark of Linus Torvalds.
:p.Partition Magic and BootMagic are trademarks owned by PowerQuest, Inc.
:p.Other product names mentioned in this document are trademarks of their
respective owners.
:p.
:p.:hp2.Use the &osq.Previous&csq. button below to go back.:ehp2.
:p.
.* ---------------------------------------------------------------------------
.* APPENDIX: legacy partitioning tools
.*
:h1 res=100 name=pmagic
    x=left y=bottom width=100% height=100%.
Appendix: legacy partitioning tools
:font facename=Helv size=14x12.

:p.Under eComStation, instead of using standard disk partitions to arrange
your hard disks into logical drives, you use :link refid=volume
reftype=fn.volumes:elink..

:p.When you install eComStation, all visible partitions currently existing
on your hard disk(s) become compatibility volumes automatically.

:p.Before starting LVM for the first time, the eComStation install program runs
the Volume Conversion Utility (VCU).  The VCU is a component of LVM which
examines the system, and "tags" all available partitions with a LVM "fingerprint".
A compatibility volume is simply a partitions which has been tagged in this way.
The fingerprint is used by LVM to store extra information specific to volume
management.

:p."Conversion Utility" is an unfortunate misnomer, because this process does
not actually alter any disk partitions.  The only change made is the saving
of the "fingerprint", which is written to a normally-unused area of the disk
partition table.  This fingerprint should not affect or interfere with any
other software or operating system.  Operating systems which do not
"understand" logical volumes will simply continue to treat compatibility volumes
as partitions in the traditional sense.

:p.However, if non-LVM-aware software which performs partition-level disk
management is used, then this "fingerprint" may be inadvertently erased.  Such
programs include the "FDISK" utilities from most other operating systems, and
also software such as Partition Magic from PowerQuest.  For this reason, it is
strongly recommended that you do not use such software on your system after
installing eComStation.

:p.:hp2.If you must do so, then please read the following information carefully
first:ehp2..

:p.If your system does not contain any special "LVM volumes" (as opposed to simple
compatibility volumes), then the use of such programs is not likely to cause
permanent data loss.  In all probability, however, eComStation will not be able
to boot from the affected disk drive until the LVM "fingerprints" are recreated.
To do this, it will be necessary to boot the system off the eComStation CD-ROM
or recovery diskettes, run LVM, and manually convert the partitions back into
volumes.  Once this has been done, your volumes should be fully restored and
functional, with no loss of data.

:nt.We cannot, however, :hp1.guarantee:ehp1. that this will be the case (that
no data will be lost).  Partition management is an inherently risky business.
Always back up any and all existing data on the computer, before working with
disk partitions&colon. whether through LVM, FDISK, Partition Magic, or any
other means.:ent.

:p.The situation changes, however, if the system contains any "LVM volumes".
Unlike compatibility volumes (which are fundamentally normal partitions), LVM
volumes depend on a special data format which other partition management
software (like FDISK or Partition Magic) does not recognize.  In such a case,
the volume information could be corrupted beyond recovery, resulting in the loss
of all data stored on the LVM volume.

:p.Therefore, if you believe you will have cause to use third-party partition
management software on your system, avoid using LVM volumes.  (As noted, you
are discouraged from using such software at all.)

:p.:hp8.Always back up all data on the system, before working with partitions
or volumes.:ehp8.:p.

:p.
.*****************************************************************************
.*  Footnotes
.*****************************************************************************

:fn id=example.
:font facename=Helv size=14x10.
:p.This is a sample footnote.  Throughout this document, footnotes like this
one are used to explain technical terms in more detail than the main text
provides.:p.
:efn.

:fn id=credit.
:font facename=Helv size=14x10.
:p.The Logical Volume Manager (LVM) was designed and written by IBM Corporation
(copyright (C) 1999).  It is based on technology introduced in the AIX operating
system, and has been ported to both OS/2 and Linux.
:p.eComStation uses the OS/2 Logical Volume Manager console utility (LVM.EXE).
A graphical Java version (LVMGUI) is also available for use once eComStation has
been installed.  Due to resource limitations, the graphical Java version is not
available during the operating system installation.:p.
:efn.

:fn id=options.
:font facename=Helv size=14x10.
:p.An :hp5.option menu:ehp5. is a pop-up menu of selectable actions that you may
perform.  The contents of the menu vary depending on the current selection
within LVM.
:artwork name='smpopt.bmp'.
.br
Items in an option menu are either :hp1.enabled:ehp1. or :hp1.disabled:ehp1..
Enabled items are shown in white.  Items which are disabled are shown in grey.
If an item is disabled, it is not a &osq.legal&csq. operation in the current
context, and may not be selected.
:p.The current selection within a menu is indicated by a white bar.  Use the up
and down arrow keys on your keyboard to change the selection.  To accept the
selection and perform the selected action, press the &osq.Enter&csq. key.
:p.To close (cancel) an option menu without selecting anything, press the
&osq.Esc&csq. key.:p.
:efn.

:fn id=volume.
:font facename=Helv size=14x10.
:p.A :hp5.logical volume:ehp5. (or simply :hp5.volume:ehp5.) is a &osq.logical
drive&csq., meaning that it appears as a logically separate drive, with its own
drive letter and file system, from within eComStation.
:p.In most other operating systems, logical drives are represented by
partitions.  LVM's volume management separates the concepts of partitions
and logical drives (volumes) by adding a layer of abstraction onto the
traditional partition system.  This allows a number of new features to be
introduced, while maintaining compatibility with other operating systems.
:p.There are two types of volumes&colon.
:link refid=compatibility reftype=fn.compatibility volumes:elink. and
:link refid=lvm reftype=fn.LVM volumes:elink..:p.
:efn.

:fn id=startable.
:font facename=Helv size=14x10.
:p.The :hp5.startable:ehp5. attribute is used to indicate the active boot
volume.  When the computer starts up, it will boot the startable volume.
:p.Only compatibility volumes or partitions may be set startable, and only
one volume or partition on a single hard disk may be startable at any given
time.
:p.If you have Boot Manager installed, then the Boot Manager partition will be
set startable.  In this case, no volume should have the startable attribute
set.:p.
:efn.

:fn id=bootable.
:font facename=Helv size=14x10.
:p.The :hp5.bootable:ehp5. attribute indicates that the volume is configured to
be booted from the Boot Manager menu, as a possible selection, immediately
after the computer starts up.
:p.Volumes may only be set bootable if Boot Manager is installed.:p.
:efn.

:fn id=installable.
:font facename=Helv size=14x10.
:p.The :hp5.installable:ehp5. attribute indicates that the volume has been
selected for eComStation to be installed onto.
:p.You should not set this attribute yourself (although LVM permits it).  The
eComStation installation program will do this for you, based upon your choices
during the "Select installable volume" phase of the install process.:p.
:efn.

:fn id=filesys.
:font facename=Helv size=14x10.
:p.A :hp5.file system:ehp5. is a data storage and indexing mechanism, by which
files and directories are saved on a volume.  Without a file system, a volume
is simply a meaningless heap of random binary data.
:p.There are many different file systems in existence: some have specialized
purposes, or are only used on certain types of storage device.  Many operating
systems also use their own special file systems.
:p.File systems which eComStation can use include JFS, HPFS, UDF, FAT16, and
CDFS.  Support for some others, including the popular FAT32 file system, are
available through third parties.:p.
:efn.

:fn id=compatibility.
:font facename=Helv size=14x10.
:p.A :hp5.compatibility volume:ehp5. corresponds to a single partition on disk.
:p.The term &osq.compatibility&csq. refers to the fact that other operating
systems, even those which do not &osq.know about&csq. volumes, can see and use it.
:p.Such &osq.non-LVM-aware&csq. operating systems would simply treat a
compatibility volume as a &osq.standard&csq. partition, and would not be able to
make use of LVM-specific features such as volume hiding, or custom drive letter
assignment.:p.
:efn.

:fn id=lvm.
:font facename=Helv size=14x10.
:p.An :hp5.LVM volume:ehp5. is a special kind of volume which may consist of
more than one partition.  Unlike compatibility volumes, LVM volumes cannot be
used by other operating systems which are not &osq.LVM-aware&csq..
:p.The following special features are supported by LVM volumes&colon.
:ul.
:li.LVM volumes may contain multiple partitions.
:li.These partitions may be located on different physical disks.
(This feature is called :hp1.disk spanning:ehp1..)
:li.Additional partitions may be added to an existing LVM volume (but only
if the volume is using the JFS file system) at any time.  However, partitions
may not be removed from a volume.
:eul.
:efn.

:fn id=disk.
:font facename=Helv size=14x10.
:p.The :hp5.physical disks:ehp5. that LVM displays includes both hard disk
drives and any partitioned removable media which are currently available.
:p.A partitioned removable medium (PRM) is a removable storage
device which must be partitioned in order to be used.  This does not
include floppy disks, but does include Iomega Zip and Jaz disks, as well as
similar devices from other companies such as Castlewood and SyQuest.
:p.The drives which hold PRM disks (such as Zip drives) do not appear in
the disk list unless they actually have a disk currently inserted.
:p.
:efn.


:fn id=partition.
:font facename=Helv size=14x10.
:p.A :hp5.partition:ehp5. is an allocated &osq.block&csq. of physical disk
space.
:p.In order to be usable, a hard disk must be divided up into one or more
partitions.  Under LVM, these partitions are then used to define logical
volumes.  (Under other operating systems which do not use LVM or logical
volumes, partitions are used directly by the operating system.)
:p.There are three different kinds of partition.  The most basic kind is
called a :hp5.primary partition:ehp5.  If a hard disk has more than one
primary partition, only one may be used by eComStation at one time.  Other
primary partitions on the same disk are invisible to eComStation.
:p.A single disk may contain up to four (4) primary partitions, no more.
However, one of these primary partitions may be marked as an :hp5.extended
partition:ehp5..  The sole purpose of an extended partition is to allow the
use of :hp5.logical partitions:ehp5..  A logical partition is a kind of
sub-partition which exists inside an extended partition.  Up to sixty-four
(64) logical partitions may exist inside an extended partition (although
one or two is usually enough for most people!).
:p.Logical partitions mainly exist in order to overcome the limitations of
primary partitions.  Unlike primary partitions, all the logical partitions
on a single disk may be used simultaneously.  For this reason, many people
prefer to use logical partitions over primary partitions.
:p.Some operating systems are only capable of booting from primary partitions.
However, if :link refid=bootman reftype=fn.Boot Manager:elink. is installed,
eComStation may boot from any compatibility volume, whichever kind of partition
(primary or logical) it corresponds to.
:p.
:efn.

:fn id=freespace.
:font facename=Helv size=14x10.
:p.Free space is empty, unused disk space which is not part of any partition or
volume.
:p.Blocks of free space are indicated in the disk partition list under the
Physical View, with the name &osq.free space&csq. and a number, enclosed in
square brackets.  The number indicates the location of the free space block on
the disk, relative to other free space blocks (if any).  For instance, a
block labelled :hp2.[ free space 2 ]:ehp2. would be the second block
of free space on the current disk.
:p.New partitions may be created from free space, so long as the limits for
number and type of partitions per disk are adhered to&colon. a single disk may
only contain up to four primary partitions, or three primary partitions and one
or more adjacent logical partitions.
:p.
:efn.

:fn id=available.
:font facename=Helv size=14x10.
:p.A status of :hp5.available:ehp5. indicates that the partition does not
currently belong to any volume, and may therefore be added to one.:p.
:efn.

:fn id=used.
:font facename=Helv size=14x10.
:p.A status of :hp5.in use:ehp5. indicates that the partition belongs to an
existing volume.:p.
:efn.

:fn id=empty.
:font facename=Helv size=14x10.
:p.In actual fact, the volume onto which you install eComStation need not
necessarily be empty, but it is recommended.
:p.If the volume contains data, then what happens when it is selected for
installation depends on a couple of factors&colon.
:ul.
:li.If the volume is not currently formatted with the High Performace File
System (HPFS), it will have to be formatted.  All data on the volume will be
destroyed.
:li.If the volume is already formatted with HPFS, then you may install
eComStation onto it without reformatting :hp2.if:ehp2. there is sufficient
free space remaining on the volume.
:p.However, it is possible that unknown existing data could interfere with
eComStation, and it is also possible that the eComStation operating system
files may overwrite some existing files.
:eul.
:p.For these reasons, it is recommended that eComStation be installed onto
an empty volume.:p.
:efn.

:fn id=exist.
:font facename=Helv size=14x10.
:p.The list of volumes also includes CD and DVD drives, and certain other
types of removeable media.  If you have no existing partitions on your
system, then these are likely to be the only items that appear in the list
of volumes.:p.
:efn.

:fn id=bootman.
:font facename=Helv size=14x10.
:p.:hp5.Boot Manager:ehp5. is an IBM utility provided with eComStation which
allows the booting of multiple operating systems on the same computer.
:p.If you have more than one operating system (OS) installed on your computer,
you will need some way of booting each OS when required.  Boot Manager allows
you to do this.  (There are a number of other, similar utilities that perform
the same function; for example, LILO, BootMagic, or XOSL.)
:p.When installed, Boot Manager presents a menu on system boot.  This menu
displays a list of installed operating systems, and allows you to select
the one you wish to boot into.
:p.If eComStation is the only operating system to be installed on your
computer, you do not need to install Boot Manager (unless you wish to
install eComStation onto a volume consisting of a logical partition).
:p.For more information about Boot Manager, see the section on
:link refid=instbm reftype=hd.:hp2.Installing Boot Manager:ehp2.:elink..
:p.
:efn.

:fn id=cylinder.
:font facename=Helv size=14x10.
:p.A :hp5.cylinder:ehp5. is a physical division of the space on a hard disk.
The specifics are not important to understanding how partitions and volumes
work, except for the following considerations&colon.
:ul.
:li.All partitions are defined in terms of cylinders.  Thus, one cylinder's
worth of disk space is the absolute smallest unit of size that LVM works with.
:li.Exactly how large a cylinder is depends on the hard disk itself; however,
for most modern hard disks, it usually equates to about seven megabytes (7 Mb).
:li.On some older computer systems, it is not possible to boot from a partition
which extends beyond the 1024th cylinder on the hard disk.  This is not
generally a problem with computers manufactured after about 1998.
:eul.
:p.If this information is too technical, don't worry.  You probably don't need
to know it, anyway.
:p.
:efn.

.*****************************************************************************
:euserdoc.

